# $Id: ccontrol.example.conf.in,v 1.4 2009/06/09 05:55:55 hidden1 Exp $
# Fișier de configurare pentru CControl (UWorld)

# Specificații bază de date
sql_host = 127.0.0.1
sql_port = 5432

# sql_db = Numele bazei de date.

sql_db = ccontrol

# Dacă nu ai nevoie de utilizator/parolă, lasă-le cu ''
sql_user = gnuworld
sql_pass = foo

# Următoarele câmpuri sunt obligatorii
username = UWorld
nickname = UWorld
hostname = UWorld.underchat.org
userdescription = UWorld

# Modurile canalului de operatori
operchanmodes = +isn
mode = +iodkw

# Asigură-te că numele canalelor sunt precedate
# de caracterul '#'
operchan = #coder-com

# msgchan este de asemenea un canal de operatori
msgchan = #coder-com

# Durata implicită a gline-ului (în secunde)
glength = 3600

# Motivul implicit pentru adăugarea unui canal de operatori
operchanreason = Acesta este acum un canal exclusiv pentru Operatorii IRC

# Numărul maxim de canale afișate cu comanda LIST channels
# 0 = toate
maxlistchannels = 0;

# Specificații raportare

# abuse_mail - adresa de email la care se trimite raportul de abuz
abuse_mail = abuse@underchat.org

# ccemail - adresa de email pe care CControl o va pune în câmpul "de la"
# al raportului
ccemail = uworld-report@underchat.org

# sendmail - calea completă către programul sendmail
sendmail = /usr/sbin/sendmail

# mail_report - setează 1 pentru ca botul să trimită raportul prin email
# setează 0 dacă nu dorești ca raportul să fie trimis
mail_report = 0

# gline_interval - intervalul la care CControl verifică
# gline-urile expirate
gline_interval = 3600

# max_connection - numărul maxim de conexiuni pe care le poate avea o gazdă
# înainte de a primi gline
max_connection = 5

# max_GLen - durata gline-ului pentru conexiuni excesive (în secunde)
max_GLen = 86400

# max_threads - numărul maxim de fire de execuție pentru verificarea porților
max_threads = 100

# check_gates - setează 1 pentru ca botul să verifice porțile deschise, sau 0 pentru nu
check_gates = 0

# check_clones - setează 1 pentru ca botul să verifice clonele, sau 0 pentru nu
check_clones = 0

# Interval verificare expirări
Expired_interval = 60

# Interval verificare bază de date
dbinterval = 60

# showCGIpsInLogs - Dacă este setat la 1, afișează IP-urile gline-urilor de canal
# în jurnalele lastcom și în jurnalele zilnice trimise prin email
showCGIpsInLogs = 1

# AnnounceNick - Pseudonimul folosit de clientul fals pentru a face anunțuri
# folosind comanda ANNOUNCE
AnnounceNick = A